Subject: Re: [Alsa-devel] Re: [RFC] alsa integer control ranges

From: Lee Revell <[email-masked]>
Date: Tue, 16 May 2006 18:04:39 -0400

On Wed, 2006-05-17 at 08:00 +1000, Benjamin Herrenschmidt wrote:
> On Tue, 2006-05-16 at 14:02 +0200, Johannes Berg wrote:
> > Apparently all alsa userspace programs including alsamixer suck. Hence,
> > this patch is required to make them work properly. Why is it so hard to
> > do these additions/subtractions in the program or maybe even in the alsa
> > library? The alsa libraries already think they know better and mess up
> > all kinds of things.
> 
> alsamixer works for me with negative ranges... but all other apps don't
> and there are various bugs, I blame apps converted from OSS....

kmix is the worst by far, someone really needs to fix it.  It has so
many bugs that it's unusable for debugging ALSA, we have to tell people
to use alsamixer.

Lee